classification
Title: Use new style classes in {class, static}method examples
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: berker.peksag, docs@python, eric.araujo, ezio.melotti, python-dev
Priority: normal Keywords: patch

Created on 2013-01-25 21:13 by berker.peksag, last changed 2013-02-22 05:54 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
new-style-classes.diff berker.peksag, 2013-01-25 21:13
Messages (4)
msg180624 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2013-01-25 21:13
The examples in the built-in functions documentation[1] should be consistent and use new style classes.

[1] http://docs.python.org/2.7/library/functions.html
msg181097 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2013-02-01 19:13
LGTM.
msg182636 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-02-22 05:53
New changeset 30e7bc28d4f5 by Ezio Melotti in branch '2.7':
#17035: use new style classes in classmethod/staticmethod examples.  Patch by Berker Peksag.
http://hg.python.org/cpython/rev/30e7bc28d4f5
msg182638 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-02-22 05:54
Fixed, thanks for the report and the patch!
History
Date User Action Args
2013-02-22 05:54:27ezio.melottisetstatus: open -> closed

type: enhancement
assignee: docs@python -> ezio.melotti

nosy: + ezio.melotti
messages: + msg182638
resolution: fixed
stage: patch review -> resolved
2013-02-22 05:53:38python-devsetnosy: + python-dev
messages: + msg182636
2013-02-01 19:13:58eric.araujosetnosy: + eric.araujo

messages: + msg181097
stage: patch review
2013-01-25 21:13:13berker.peksagcreate